List Available REST API Versions

Use the Versions resource to list summary information about each REST API version currently available, including the version, label, and a link to each version's root. You don’t need authentication to retrieve the list of versions.
Example usage
1curl https://yourInstance.salesforce.com/services/data/
Example request body
none required
Example JSON response body
1[
2    {
3        "label" : "Spring '11",
4        "url" : "/services/data/v21.0",
5        "version" : "21.0"
6    },
7    {
8        "label" : "Summer '11",
9        "url" : "/services/data/v22.0",
10        "version" : "22.0"
11    },
12    {
13        "label" : "Winter '12",
14        "url" : "/services/data/v23.0",
15        "version" : "23.0"
16    }
17    ...
18]
Example XML response body
1<?xml version="1.0" encoding="UTF-8"?>
2<Versions>
3    <Version>
4        <label>Spring &apos;11</label>
5        <url>/services/data/v21.0</url>
6        <version>21.0</version>
7    </Version>
8    <Version>
9        <label>Summer &apos;11</label>
10        <url>/services/data/v22.0</url>
11        <version>22.0</version>
12    </Version><Version>
13        <label>Winter &apos;12</label>
14        <url>/services/data/v23.0</url>
15        <version>23.0</version>
16    </Version>
17    ...
18</Versions>